=== debian/changelog ===
tkrzw-python (0.1.28-4) unstable; urgency=medium

  * Rebuild to drop python3.9 support.
  * d/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Jul 2022 20:00:26 -0400

tkrzw-python (0.1.28-3) unstable; urgency=high

  * Correctly set build-dependencies to build extension for all
    supported python3 versions again. (Closes: #1004663)

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Jan 2022 14:23:24 -0500

tkrzw-python (0.1.28-2) unstable; urgency=high

  * debian/control:
    + Build-depends on libpython3-dev instead of libpython3-all-dev.
      (Closes: #1001934).

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Dec 2021 23:15:20 -0500

tkrzw-python (0.1.28-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Dec 2021 14:29:54 -0500

tkrzw-python (0.1.27-1) unstable; urgency=medium

  * Initial release. (Closes: #999432)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 16:44:55 -0500
