=== debian/changelog ===
tkrzw-python (0.1.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 19:18:13 -0500
