=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-all-dev,
  python3-setuptools,
  tkrzw-utils,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://dbmx.net/tkrzw/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tkrzw-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/tkrzw-python.git
