## tkrzw-python 0.1.30

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Makefile for Tkrzw for Python
 
 PACKAGE = tkrzw-python
-VERSION = 0.1.29
+VERSION = 0.1.30
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz
 
 PYTHON = python3
-RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/lib
+RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/local/lib:$(HOME)/lib:$(LD_LIBRARY_PATH)
 
 all :
 	$(PYTHON) setup.py build
