=== debian/changelog ===
tkrzw-python (0.1.30-1build2) noble; urgency=high

  * No change rebuild against libtkrzw1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:27 +0200

tkrzw-python (0.1.30-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:02:02 +0000

tkrzw-python (0.1.30-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:30:50 -0400

tkrzw-python (0.1.30-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 14:48:06 -0400
