=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tkrzw-python
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -9,7 +10,7 @@
  dh-sequence-python3,
  liblz4-dev,
  liblzma-dev,
- libtkrzw-dev,
+ libtkrzw-dev (>= 1.0.27),
  libzstd-dev,
  python3-all,
  python3-all-dev,
