=== debian/changelog ===
tkrzw-python (0.1.31-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 May 2024 10:58:30 -0400

tkrzw-python (0.1.30-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1067519)

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 17:02:19 -0400
