=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: tkrzw-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  liblz4-dev,
  liblzma-dev,
- libtkrzw-dev (>= 1.0.27),
+ libtkrzw-dev (>= 1.0.29),
  libzstd-dev,
  python3-all,
  python3-all-dev,
  python3-setuptools,
  tkrzw-utils,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://dbmx.net/tkrzw/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tkrzw-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/tkrzw-python.git
