=== debian/changelog ===
tkrzw-python (0.1.32-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:24:15 +0000

tkrzw-python (0.1.32-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:14:53 +0000

tkrzw-python (0.1.32-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:56:53 +0100

tkrzw-python (0.1.32-1) unstable; urgency=medium

  * QA upload.
  * debian/control: Require tkrzw 0.1.30+.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 18:08:52 -0400
