=== debian/watch ===
version=4
opts="" \
 https://dbmx.net/tkrzw/pkg-python/ \
 tkrzw-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma))) debian uupdate
